--- title: "Integrate CLOVA OCR VM PROXY" slug: "ai-application-service-ocr-vm-proxy" tags: ["CLOVA OCR"] updated: 2026-10-08T04:23:24Z published: 2026-10-08T04:23:24Z canonical: "api.ncloud-docs.com/ai-application-service-ocr-vm-proxy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Integrate CLOVA OCR VM PROXY Available in Classic and VPC This document describes how to integrate CLOVA OCR VM PROXY to use the CLOVA OCR service in-house. API Gateway integration is required to use the CLOVA OCR service. This guide describes the following: - How to integrate API Gateway - How to specify control information as IP information or APIGW invoke URL to whitelist on the internal network - How to avoid exposing the secret key required for CLOVA OCR calls Based on the above, we recommend that you integrate CLOVA OCR VM PROXY to make API calls. Note The IP information assigned to the API Gateway invoke URL is subject to change. ## Configuring method How to configure it: 1. [Create VM](/docs/en/ai-application-service-ocr-vm-proxy#1vm%EC%83%9D%EC%84%B1) 2. [Configure NGINX proxy](/docs/en/ai-application-service-ocr-vm-proxy#2NgnixProxy%EA%B5%AC%EC%84%B1) ### 1. Create VM For more information on VM creation, see [Getting started with Server](https://api.ncloud-docs.com/docs/en/compute-server) in NAVER Cloud Platform. ### 2. Configure NGINX proxy Start the service after adding the following settings to the ngnix.config file. ``` server { .... location /ocrproxy { proxy_set_header x-ocr-secret {Secret key issued when registering the app}; rewrite ^/ocrproxy/(.*)$ break; proxy_pass {Invoke URL issued when registering the app}; .... } ``` ## Request example The request example is as follows: ``` curl -X POST http://{VM IP}/ocrproxy -d '{"images": [{"format": "jpg","name": "proxytest","data": null,"url": "{your image url}"}],"lang": "ko","requestId": "string","timestamp": 0,"version": "V2"}' ``` ## Response example The response example is as follows: - [General OCR response example](/docs/en/ai-application-service-ocr-ocr#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Template OCR response example](/docs/en/clova-template-ocr-api#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Business card OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-namecard#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Business registration certificate OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-bizlicense#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Credit card OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-creditcard#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Receipt OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-receipt#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Passport OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-passport#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Alien registration card OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-alienregistration#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [Driver's license OCR response example](/docs/en/ai-application-service-ocr-ocrdocumentocr-driverlicense#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C) - [주민등록증 OCR 응답 예시](/docs/en/ai-application-service-ocr-ocrdocumentocr-identitycard#%EC%9D%91%EB%8B%B5%EC%98%88%EC%8B%9C)